%define anolis_release 1

%global         clutter_version 1.23.7
%global         gtk3_version 3.21.0

%global         api_ver 1.0

Name:           clutter-gtk
Version:        1.8.4
Release:        %{anolis_release}%{?dist}
Summary:        A basic GTK clutter widget

License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://download.gnome.org/sources/clutter-gtk/1.8/clutter-gtk-%{version}.tar.xz

BuildRequires:  clutter-devel >= %{clutter_version}
BuildRequires:  gtk3-devel >= %{gtk3_version}
BuildRequires:  gobject-introspection-devel
BuildRequires: make

Requires:       clutter >= %{clutter_version}
Requires:       gtk3 >= %{gtk3_version}

%description
clutter-gtk is a library which allows the embedding of a Clutter
canvas (or "stage") into a GTK+ application, as well as embedding
GTK+ widgets inside the stage.

%package devel
Summary:        Clutter-gtk development environment
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the
clutter-gtk.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%setup -q


%build

%configure
%make_build


%install
%make_install

#Remove libtool archives.
find %{buildroot} -type f -name "*.la" -delete

%find_lang cluttergtk-1.0

%generate_compatibility_deps

%check
make check %{?_smp_mflags} V=1


%files -f cluttergtk-1.0.lang
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GtkClutter-%{api_ver}.typelib
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/clutter-gtk-%{api_ver}/
%{_libdir}/pkgconfig/clutter-gtk-%{api_ver}.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/GtkClutter-%{api_ver}.gir
%{_datadir}/gtk-doc/html/clutter-gtk-1.0

%files doc
%doc NEWS

%changelog
* Tue Apr 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.8.4-1
- init from upstream
